Page MenuHomePhabricator

do not use tput if variable TERM is empty
Closed, ResolvedPublic

Description

How this has been spotted:

qvm-run --pass-io anon-whonix update-torbrowser
qvm-run --pass-io anon-whonix "tput cols"

What really happens:

TERM="" tput cols
tput: No value for $TERM and no -T specified

Details

Impact
Normal

Event Timeline

Patrick created this task.Apr 29 2016, 6:50 AM

Related, has it been considered for qvm-run --pass-io to set or not set environment variable TERM? I wonder if the current implementation is correct. @marmarek

qvm-run --pass-io uses simple pipe (not virtual terminal), so it is
expected to not have TERM set.

Patrick changed the task status from Open to Review.Jun 2 2016, 1:59 PM

Done in all involved components.

Patrick closed this task as Resolved.Mar 7 2018, 1:24 AM
Patrick claimed this task.